package com.persagy.apm.energy.report.centermiddleware.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 时间类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum TimeTypeEnum {
    /**
     * 时间类型
     */
    HOUR(1, "时"),
    DAY(2, "天"),
    MONTH(4, "月");

    @Setter
    @Getter
    private Integer type;
    @Setter
    @Getter
    private String desc;

    TimeTypeEnum(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
