package com.persagy.apm.energy.report.centermiddleware.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryItemInfoDTO extends PoemsFeignBaseDTO {
    @ApiModelProperty("项目本地编码")
    private String projectId;
    @ApiModelProperty("建筑本地编码(与项目一致)")
    private String buildingId;
    @ApiModelProperty("能耗模型")
    private String modelCode;
    @ApiModelProperty("分项id列表")
    private List<String> itemIdList;
}
