package com.persagy.apm.energy.report.centermiddleware.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryObjectInfoDTO extends PoemsFeignBaseDTO {
    @ApiModelProperty("项目id")
    private String projectId;
    @ApiModelProperty("集团编码")
    private String groupCode;
    @ApiModelProperty("入参列表")
    private Criteria criteria;
}
