package com.persagy.apm.energy.report.common.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryPlatformParamDTO extends PoemsFeignBaseDTO {

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("集团编码")
    private String groupCode;

    @ApiModelProperty("项目id列表")
    private List<String> projectIdList;

    @ApiModelProperty("生成报告时间")
    private Date reportDate;

    @ApiModelProperty("报告所属类型")
    private String belongType;

}
