package com.persagy.apm.energy.report.environment.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class BatchQueryEnvListByParamDTO extends PoemsFeignBaseDTO {

    @ApiModelProperty("项目id")
    private List<String> projectIdList;

    @ApiModelProperty("环境类型id")
    private String envTypeId;

    @ApiModelProperty("环境父类型id")
    private String envParentTypeId;

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;
}
