package com.persagy.apm.energy.report.manualfilling.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class EnergyItemInfoVo {

    @ApiModelProperty(value = "能耗分项id", required = true)
    private String itemId;

    @ApiModelProperty(value = "能耗分项信息id")
    private String functionId;

    @ApiModelProperty(value = "能耗模型编码")
    private String modelCode;

    @ApiModelProperty(value = "能据耗分项数", required = true)
    private List<EnergyItemDataVo> dataList;


}
