package com.persagy.apm.energy.report.monthly.config.function.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:05:36
 */
@Data
@ApiModel(value = "能耗报告信息点列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseFunctionListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("集团编码")
    private String groupCode;

    @ApiModelProperty("能耗类型")
    private String energyType;

    @ApiModelProperty("建筑类型（业态）")
    private String buildingType;

    @ApiModelProperty("信息点类型（0-能耗，1-费用 ，2-能耗预算，3-费用预算）")
    private String functionType;

    @ApiModelProperty("能耗模型编码")
    private String modelCode;

    @ApiModelProperty("分项id")
    private String itemId;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
