package com.persagy.apm.energy.report.monthly.config.functiongroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:06:30
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询信息点分组入参")
public class PageQueryFunctionGroupDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "分组名称", required = true)
    private String name;

    @ApiModelProperty(value = "包含的分组id（预留字段）", required = true)
    private String groupIds;

    @ApiModelProperty(value = "包含的信息点id", required = true)
    private String functionIds;

    @ApiModelProperty(value = "所属段落（如果不直属段落，这里不填）", required = true)
    private String belongParagraph;

}
