package com.persagy.apm.energy.report.monthly.config.functiongroup.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:06:30
 */
@Data
@ApiModel(value = "信息点分组返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseFunctionGroupItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("分组名称")
    private String name;

    @ApiModelProperty("包含的分组id（预留字段）")
    private String groupIds;

    @ApiModelProperty("包含的信息点id")
    private String functionIds;

    @ApiModelProperty("所属段落（如果不直属段落，这里不填）")
    private String belongParagraph;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
