package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:19:41
 */
@Data
@ApiModel(value = "报告详情与统计条目的关联列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportDetailStatisticsItemRelListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告详情主键")
    private String reportDetailId;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("统计条目id")
    private String statisticsItemId;

    @ApiModelProperty("不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
