package com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-24 16:02:16
 */
@Data
@ApiModel(value = "创建报告类型入参")
public class AddReportTypeFunctionGroupRelDTO {
    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空") // todo 更新校验规则
    private String reportTypeId;

    @ApiModelProperty(value = "信息点分组id", required = true)
    @NotNull(message = "信息点分组id不能为空") // todo 更新校验规则
    private String functionGroupId;

    @ApiModelProperty(value = "所属段落", required = true)
    @NotNull(message = "所属段落不能为空") // todo 更新校验规则
    private String belongParagraph;

}
