package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:20:22
 */
@Data
@ApiModel(value = "更新报告类型和统计条目关联关系入参")
public class UpdateReportTypeStatisticsItemRelDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空") // todo 更新校验规则
    private String reportTypeId;

    @ApiModelProperty(value = "统计条目id", required = true)
    @NotNull(message = "统计条目id不能为空") // todo 更新校验规则
    private String statisticsItemId;

}
