package com.persagy.apm.energy.report.monthly.config.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:21:10
 */
@Data
@ApiModel(value = "创建统计条目入参")
public class AddStatisticItemsDTO {
    @ApiModelProperty(value = "条目编码", required = true)
    @NotNull(message = "条目编码不能为空") // todo 更新校验规则
    private String itemCode;

    @ApiModelProperty(value = "条目来源", required = true)
    @NotNull(message = "条目来源不能为空") // todo 更新校验规则
    private String itemSource;

    @ApiModelProperty(value = "合格的标准", required = true)
    @NotNull(message = "合格的标准不能为空") // todo 更新校验规则
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式", required = true)
    @NotNull(message = "合格的判断公式不能为空") // todo 更新校验规则
    private String qualifyFormula;

}
