package com.persagy.apm.energy.report.monthly.config.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:21:11
 */
@Data
@ApiModel(value = "查询统计条目入参")
public class QueryStatisticItemsDTO {
    @ApiModelProperty(value = "统计条目id列表")
    private List<String> statisticItemIdList;
    
    @ApiModelProperty(value = "条目编码")
    private String itemCode;

    @ApiModelProperty(value = "条目来源")
    private String itemSource;

    @ApiModelProperty(value = "合格的标准")
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式")
    private String qualifyFormula;

}
