package com.persagy.apm.energy.report.monthly.config.type.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021-05-19 10:39:18
 */
@Data
@ApiModel(value = "更新报告类型入参")
public class UpdateReportTypeDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "报告类型名称", required = true)
    @NotNull(message = "报告类型名称不能为空") // todo 更新校验规则
    private String name;

    @ApiModelProperty(value = "业态 enum 0-商业；1-酒店", required = true)
    @NotNull(message = "业态 enum 0-商业；1-酒店不能为空") // todo 更新校验规则
    private Integer businessType;

    @ApiModelProperty(value = "报告所属类型 enum 0-项目；1-大区", required = true)
    @NotNull(message = "报告所属类型 enum 0-项目；1-大区不能为空") // todo 更新校验规则
    private Integer belongType;

}
