package com.persagy.apm.energy.report.monthly.config.type.service;


import com.persagy.apm.common.model.vo.EnumVO;

import java.util.List;

/**
 * 报告类型相关枚举类接口
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:57 上午
 */
public interface IReportTypeEnumService {
    /**
     * 业态枚举
     *
     * @return 业态枚举列表
     * @author lixing
     * @version V1.0 2021/5/17 11:32 上午
     */
    List<EnumVO> queryBuildingTypeEnum();

    /**
     * 报告所属枚举
     *
     * @return 报告所属枚举列表
     * @author lixing
     * @version V1.0 2021/5/17 11:32 上午
     */
    List<EnumVO> queryBelongTypeEnum();
}
