package com.persagy.apm.energy.report.monthly.detail.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "能耗管理工作")
public class Job {

    @ApiModelProperty("本年度能源管理重点工作事项")
    private String item;

    @ApiModelProperty("起始日期")
    private Date startDate;

    @ApiModelProperty("完成日期")
    private Date endDate;

    @ApiModelProperty("总体进展")
    private String totalProgress;

    @ApiModelProperty("上个月进展")
    private String lastMonthProgress;

}
