package com.persagy.apm.energy.report.monthly.detail.common.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/20 11:15 上午
 **/
@ApiModel
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupInfo<T> {
    @ApiModelProperty("分组名称")
    private String groupName;
    @ApiModelProperty("包含的分项")
    private List<T> items;
    @ApiModelProperty("统计信息")
    private T summary;
}
