package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.dto;

import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaPowerConsumptionOutline;
import com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo.HotelAreaRemainProblem;
import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:07
 */
@Data
@ApiModel(value = "创建商业报告详情入参")
public class AddReportHotelAreaDetailDTO {
    @ApiModelProperty(value = "平台运行信息")
    private List<HotelProjectMaintenanceBaseInfo> platformRuntimeInfo;

    @ApiModelProperty(value = "费用信息")
    private List<HotelProjectCostInfo> costInfo;

    @ApiModelProperty(value = "用电量概述")
    private List<HotelAreaPowerConsumptionOutline> powerUsageOutline;

    @ApiModelProperty(value = "节能工单信息")
    private List<HotelProjectEnergyWorkerOrderBaseInfo> energyWorkOrderInfo;

    @ApiModelProperty(value = "报警处理信息")
    private List<HotelProjectAlarmDealInfo> alarmDealInfo;
}
