package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelPowerConsumptionItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店区域用电量信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelAreaPowerConsumptionOutline {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "本月总耗电量")
    private Double consumptionCurrentMonth;
    @ApiModelProperty(value = "公区本月总耗电量")
    private Double publicConsumptionCurrentMonth;
    @ApiModelProperty(value = "单位建筑面积能耗")
    private Double consumptionPerSqm;
    @ApiModelProperty(value = "同比涨幅")
    private Double consumptionSameTimeRange;
    @ApiModelProperty(value = "环比涨幅")
    private Double consumptionChainRange;
}
