package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店大区遗留问题")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelAreaRemainProblem {
    @ApiModelProperty(value = "项目id")
    private String projectId;
    @ApiModelProperty(value = "遗留问题数量")
    private Double count;
    @ApiModelProperty(value = "问题处理数量")
    private Double handledCount;
    @ApiModelProperty(value = "处理率")
    private Double handledPercent;
}
