package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/6/8 11:38 上午
 **/
@Data
@ApiModel(value = "酒店项目节能工单条目信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectEnergyWorkOrderItem {
    @ApiModelProperty(value = "工单名称")
    private String workName;
    @ApiModelProperty(value = "工单完成时间")
    private String completedTime;
    @ApiModelProperty(value = "节能量")
    private Double energySaved;
}
