package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目节能工单基础信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectEnergyWorkerOrderBaseInfo {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "工单总条数")
    private Integer totalCount;
    @ApiModelProperty(value = "工单总节能量")
    private Double totalEnergySave;
}
