package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("酒店项目节能工单信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectEnergyWorkerOrderInfo extends HotelProjectEnergyWorkerOrderBaseInfo {

    @ApiModelProperty(value = "执行采纳条数")
    private Integer executeCount;
    @ApiModelProperty(value = "采纳率")
    private Double executePercent;
    @ApiModelProperty(value = "自行发现并采取措施的工单条数")
    private Integer initiativeCount;
    @ApiModelProperty(value = "节能工单信息")
    private List<HotelProjectEnergyWorkOrderItem> detailInfo;
}
