package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/8 11:09 上午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "酒店项目维护信息图表")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectMaintenanceGraph extends DateGraphVO {
    @ApiModelProperty("月度值")
    private Double monthlyValue;
    @ApiModelProperty("标准值")
    private Double standardValue;
}
