package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:59
 */
@Data
@ApiModel(value = "酒店项目报告详情返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportHotelProjectDetailItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("费用信息")
    private HotelProjectCostInfo costInfo;

    @ApiModelProperty("费用说明")
    private String costDescription;

    @ApiModelProperty("用电量概述")
    private HotelProjectPowerConsumptionOutline powerUsageOutline;

    @ApiModelProperty("公区用电量")
    private HotelProjectPublicPowerConsumption publicAreaPowerUsage;

    @ApiModelProperty("用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty("冷站效率")
    private HotelProjectChillerPlantEfficiency airConditionerEfficiency;

    @ApiModelProperty("冷站效率说明")
    private String airConditionerEfficiencyExplain;

    @ApiModelProperty("环境指标")
    private HotelProjectEnvKpi envInfo;

    @ApiModelProperty("环境说明")
    private String envDescription;

    @ApiModelProperty("节能工单信息")
    private HotelProjectEnergyWorkerOrderInfo energyWorkOrderInfo;

    @ApiModelProperty("节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty("平台运行信息")
    private HotelProjectMaintenanceInfo platformRuntimeInfo;

    @ApiModelProperty("平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty("报警处理信息")
    private HotelProjectAlarmDealInfo alarmDealInfo;

    @ApiModelProperty("报警处理说明")
    private String alarmDealDescription;
}
