package com.persagy.apm.energy.report.monthly.functionvalue.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:07:15
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询能耗报告信息点取值入参")
public class PageQueryFunctionValueDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "信息点id", required = true)
    private String functionId;

    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @ApiModelProperty(value = "数据时间", required = true)
    private Date dataTime;

    @ApiModelProperty(value = "信息点的值", required = true)
    private String value;

}
