package com.persagy.apm.energy.report.monthly.functionvalue.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:07:15
 */
@Data
@ApiModel(value = "能耗报告信息点取值列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseFunctionValueListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("信息点id")
    private String functionId;

    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("数据时间")
    private Date dataTime;

    @ApiModelProperty("信息点的值")
    private String value;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
