package com.persagy.apm.energy.report.monthly.outline.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "报告概要返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportOutlineItemVO    {
    @ApiModelProperty("报告id")
    private String id;

    @ApiModelProperty("报告名称")
    private String name;

    @ApiModelProperty("报告日期")
    private Date date;

    @ApiModelProperty("报告所属")
    private String belong;

    @ApiModelProperty("报告类型")
    private String type;

    @ApiModelProperty("报告详情id")
    private String detailId;

    @ApiModelProperty("报告状态")
    private Integer status;

    @ApiModelProperty("备注")
    private Object remark;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
