package com.persagy.apm.energy.report.monthly.outline.model.vo;

import com.persagy.apm.energy.report.monthly.config.type.model.vo.ResponseReportTypeItemVO;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutlineRemark;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "报告概要列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportOutlineListItemVO {
    @ApiModelProperty("报告id")
    private String id;

    @ApiModelProperty("报告名称")
    private String name;

    @ApiModelProperty("报告月份")
    private Date reportMonth;

    @ApiModelProperty("报告所属")
    private String belong;

    @ApiModelProperty("报告所属中文名称")
    private String belongName;

    @ApiModelProperty("报告类型对象")
    private ResponseReportTypeItemVO reportType;

    @ApiModelProperty("报告详情id")
    private String detailId;

    @ApiModelProperty("报告状态编码")
    private String status;

    @ApiModelProperty("报告状态名称")
    private String statusName;

    @ApiModelProperty("备注")
    private ReportOutlineRemark remark;
}
