package com.persagy.apm.energy.report.monthly.outline.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.apm.common.model.vo.EnumVO;
import com.persagy.apm.energy.report.monthly.outline.constants.enums.ReportStateEnum;
import com.persagy.apm.energy.report.monthly.outline.service.IReportOutlineEnumService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 报告枚举实现类
 *
 * @author lixing
 * @version V1.0 2021/5/17 11:00 上午
 **/
@Service
public class ReportOutlineEnumServiceImpl implements IReportOutlineEnumService {
    @Override
    public List<EnumVO> queryReportStateEnum() {
        List<EnumVO> resultList = new ArrayList<>(ReportStateEnum.values().length);
        Arrays.asList(ReportStateEnum.values()).forEach(reportStateEnum -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(reportStateEnum.getType());
            enumVO.setValue(reportStateEnum.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }
}
