package com.persagy.apm.energy.report.saasweb.client.fallback;

import com.persagy.apm.energy.report.saasweb.client.SaasWebClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * feign fallback处理
 *
 * @author lixing
 * @version V1.0 2021/5/19 2:21 下午
 */
@Component
public class SaasWebClientFallbackFactory implements FallbackFactory<SaasWebClient> {
    @Override
    public SaasWebClient create(Throwable throwable) {
        return null;
    }
}
