package com.persagy.apm.energy.report.workorder.config;

import com.alibaba.fastjson.JSONObject;
import com.persagy.apm.energy.report.workorder.model.WorkOrder;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.ReadingConverter;

import java.util.Map;

@ReadingConverter
public class MapToWorkorder implements Converter<Map<String, Object>, WorkOrder> {
    @Override
    public WorkOrder convert(Map<String, Object> source) {
        return JSONObject.parseObject(JSONObject.toJSONString(source), WorkOrder.class);
    }
}
