package com.persagy.apm.energy.report.centermiddleware.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ProjectEERDataVo {
    @ApiModelProperty(value = "项目id")
    private String projectId;
    @ApiModelProperty(value = "eer")
    private Double eer;
    @ApiModelProperty(value = "最高eer发生时间")
    private List<Date> maxEerTimeList;
    @ApiModelProperty(value = "最低eer发生时间")
    private List<Date> minEerTimeList;
    @ApiModelProperty(value = "本月制冷量")
    private Double coolingCapacityCurrentMonth;
    @ApiModelProperty(value = "图表信息")
    private List<DateGraphItemVO> eerDetailInfo;
}
