package com.persagy.apm.energy.report.emsweather.service;

import io.swagger.annotations.Api;

import java.util.Date;

@Api(value = "天气服务service接口")
public interface EMSWeatherWebService {
    /**
     * 获取项目对应月的月平均温度值
     *
     * @param projectId  项目id
     * @param reportDate 生成报告日期
     * @author wch
     * @version V1.0 2021/5/19 4:04 下午
     */
    Double getPjMonthAvgTemp(String projectId, Date reportDate);

}
