package com.persagy.apm.energy.report.equiprunmanager.client.fallback;

import com.persagy.apm.energy.report.environment.client.EnvironmentWebClient;
import com.persagy.apm.energy.report.equiprunmanager.client.EquipRunManagerWebClient;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class EquipRunManagerWebClientFallbackFactory implements FallbackFactory<EquipRunManagerWebClient> {
    @Override
    public EquipRunManagerWebClient create(Throwable throwable) {
        return null;
    }
}
