package com.persagy.apm.energy.report.manualfilling.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "能耗分项数据参数")
public class EnergyItemDataDTO {
    @NotNull(message = "id不能为空")
    @ApiModelProperty(value = "能耗分项id", required = true)
    private String id;

    @NotNull(message = "value不能为空")
    @ApiModelProperty(value = "能耗分项数据", required = true)
    private Double value;

    @NotNull(message = "time不能为空")
    @ApiModelProperty(value = "时间", required = true)
    private String time;

}
