package com.persagy.apm.energy.report.manualfilling.service;

import com.persagy.apm.energy.report.manualfilling.model.dto.QueryEnergyItemDataDTO;
import com.persagy.apm.energy.report.manualfilling.model.dto.SaveEnergyItemDataDTO;
import com.persagy.apm.energy.report.manualfilling.model.vo.EnergyItemInfoVo;

import java.util.List;

public interface IEnergyItemDataService {

    /**
     * 查询能耗分项录入数据
     *
     * @param queryEnergyItemDataDTO 查询数据对象
     * @author wch
     * @version V1.0 2021/5/24 4:04 下午
     */
    List<EnergyItemInfoVo> queryEnergyItemDataList(QueryEnergyItemDataDTO queryEnergyItemDataDTO);

    /**
     * 保存能耗分项录入数据
     *
     * @param saveEnergyItemDataDTO 保存数据对象
     * @author wch
     * @version V1.0 2021/5/24 4:04 下午
     */
    void saveEnergyItemData(SaveEnergyItemDataDTO saveEnergyItemDataDTO);

}
