package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:19:40
 */
@Data
@ApiModel(value = "创建报告详情与统计条目的关联入参")
public class AddReportDetailStatisticsItemRelDTO {
    @ApiModelProperty(value = "报告详情主键", required = true)
    @NotNull(message = "报告详情主键不能为空")
    private String reportDetailId;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空")
    private String reportTypeId;

    @ApiModelProperty(value = "统计条目id", required = true)
    @NotNull(message = "统计条目id不能为空")
    private String statisticsItemId;

    @ApiModelProperty(value = "不合格原因")
    private String unqualifiedReason;

    @ApiModelProperty(value = "备注")
    private String remark;

}
