package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:19:40
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告详情与统计条目的关联入参")
public class PageQueryReportDetailStatisticsItemRelDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "报告详情主键", required = true)
    private String reportDetailId;

    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;

    @ApiModelProperty(value = "统计条目id", required = true)
    private String statisticsItemId;

    @ApiModelProperty(value = "不合格原因", required = true)
    private String unqualifiedReason;

    @ApiModelProperty(value = "备注", required = true)
    private String remark;

}
