package com.persagy.apm.energy.report.monthly.config.rel.detailstatisticsitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:19:40
 */
@Data
@ApiModel(value = "更新报告详情与统计条目的关联入参")
public class UpdateReportDetailStatisticsItemRelDTO {
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;

    @ApiModelProperty(value = "报告详情主键", required = true)
    @NotNull(message = "报告详情主键不能为空") // todo 更新校验规则
    private String reportDetailId;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空") // todo 更新校验规则
    private String reportTypeId;

    @ApiModelProperty(value = "统计条目id", required = true)
    @NotNull(message = "统计条目id不能为空") // todo 更新校验规则
    private String statisticsItemId;

    @ApiModelProperty(value = "不合格原因", required = true)
    @NotNull(message = "不合格原因不能为空") // todo 更新校验规则
    private String unqualifiedReason;

    @ApiModelProperty(value = "备注", required = true)
    @NotNull(message = "备注不能为空") // todo 更新校验规则
    private String remark;

}
