package com.persagy.apm.energy.report.monthly.config.rel.typefunction.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-24 16:02:45
 */
@Data
@ApiModel(value = "报告类型返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeFunctionRelItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("信息点id")
    private String functionId;

    @ApiModelProperty("所属段落")
    private String belongParagraph;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
