package com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告类型(ReportTypeFunctionGroupRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-24 16:02:15
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告类型")
public class ReportTypeFunctionGroupRel extends AuditableEntity<ReportTypeFunctionGroupRel> implements Serializable {
    private static final long serialVersionUID = 279475542066816931L;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("信息点分组id")
    private String functionGroupId;

    @ApiModelProperty("所属段落")
    private String belongParagraph;


    public static String PROP_REPORT_TYPE_ID = "report_type_id";
    public static String PROP_FUNCTION_GROUP_ID = "function_group_id";
    public static String PROP_BELONG_PARAGRAPH = "belong_paragraph";

}
