package com.persagy.apm.energy.report.monthly.config.rel.typefunctiongroup.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-24 16:02:17
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告类型入参")
public class PageQueryReportTypeFunctionGroupRelDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;

    @ApiModelProperty(value = "信息点分组id", required = true)
    private String functionGroupId;

    @ApiModelProperty(value = "所属段落", required = true)
    private String belongParagraph;

}
