package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 报告类型和统计条目关联关系(ReportTypeStatisticsItemRel)实体类
 *
 * @author lixing
 * @version V1.0 2021-05-20 19:20:21
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报告类型和统计条目关联关系")
public class ReportTypeStatisticsItemRel extends AuditableEntity<ReportTypeStatisticsItemRel> implements Serializable {
    private static final long serialVersionUID = -21196831096124914L;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("统计条目id")
    private String statisticsItemId;


    public static String PROP_REPORT_TYPE_ID = "report_type_id";
    public static String PROP_STATISTICS_ITEM_ID = "statistics_item_id";

}
