package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:20:23
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告类型和统计条目关联关系入参")
public class PageQueryReportTypeStatisticsItemRelDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "报告类型id", required = true)
    private String reportTypeId;

    @ApiModelProperty(value = "统计条目id", required = true)
    private String statisticsItemId;

}
