package com.persagy.apm.energy.report.monthly.config.rel.typestatisticsitem.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:20:23
 */
@Data
@ApiModel(value = "报告类型和统计条目关联关系列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeStatisticsItemRelListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型id")
    private String reportTypeId;

    @ApiModelProperty("统计条目id")
    private String statisticsItemId;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
