package com.persagy.apm.energy.report.monthly.config.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:21:12
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询统计条目入参")
public class PageQueryStatisticItemsDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "条目编码", required = true)
    private String itemCode;

    @ApiModelProperty(value = "条目来源", required = true)
    private String itemSource;

    @ApiModelProperty(value = "合格的标准", required = true)
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式", required = true)
    private String qualifyFormula;

}
