package com.persagy.apm.energy.report.monthly.config.statisticsitems.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:21:12
 */
@Data
@ApiModel(value = "统计条目列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseStatisticItemsListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("条目编码")
    private String itemCode;

    @ApiModelProperty("条目来源")
    private String itemSource;

    @ApiModelProperty("合格的标准")
    private String standardValue;

    @ApiModelProperty("合格的判断公式")
    private String qualifyFormula;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
