package com.persagy.apm.energy.report.monthly.config.type.constant.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 报告所属类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum BelongTypeEnum {
    /**
     * 报告所属类型
     */
    PROJECT("1", "项目"),
    AREA("2", "区域");

    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    BelongTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
