package com.persagy.apm.energy.report.monthly.config.type.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-05-19 10:39:18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告类型入参")
public class PageQueryReportTypeDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "报告类型名称", required = true)
    private String name;

    @ApiModelProperty(value = "业态 enum 0-商业；1-酒店", required = true)
    private Integer businessType;

    @ApiModelProperty(value = "报告所属类型 enum 0-项目；1-大区", required = true)
    private Integer belongType;

}
