package com.persagy.apm.energy.report.monthly.detail.business.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "能耗管理平台运维")
public class Platform {

    @ApiModelProperty("条目编码")
    private String itemCode;

    @ApiModelProperty("条目名称")
    private String modelName;

    @ApiModelProperty("每月结果")
    private List<Double> monthlySummaries;

    @ApiModelProperty("合格标准")
    private Double standardValue;

    @ApiModelProperty("校验规则")
    private String qualifyFormula;

    @ApiModelProperty("合格标准(展示用)")
    private String standardFlag;

    @ApiModelProperty("达标数量")
    private Integer satisfiedCount;

    @ApiModelProperty("未达标数量")
    private Integer unsatisfiedCount;

    @ApiModelProperty("未达标项目名称")
    private List<String> unsatisfiedProjects;
}
