package com.persagy.apm.energy.report.monthly.detail.business.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "查询报告详情入参")
public class QueryReportBusinessDetailDTO {
    @ApiModelProperty(value = "在营项目用电量数据对象信息,项目月报使用此字段", required = true)
    private Object openPower;

    @ApiModelProperty(value = "在营项目用电情况说明", required = true)
    private String openPowerExplain;

    @ApiModelProperty(value = "可同比项目用电量数据对象信息", required = true)
    private Object comparePower;

    @ApiModelProperty(value = "可同比项目用电情况说明", required = true)
    private String comparePowerExplain;

    @ApiModelProperty(value = "在营项目能源费数据对象信息,项目月报使用此字段", required = true)
    private Object openCost;

    @ApiModelProperty(value = "在营项目费用说明", required = true)
    private String openCostExplain;

    @ApiModelProperty(value = "可同比项目能源费数据对象信息", required = true)
    private Object compareCost;

    @ApiModelProperty(value = "可同比项目费用说明", required = true)
    private String compareCostExplain;

    @ApiModelProperty(value = "能耗管理工作开展对象信息", required = true)
    private Object job;

    @ApiModelProperty(value = "备注说明", required = true)
    private String remark;

    @ApiModelProperty(value = "能耗管理平台运维对象信息", required = true)
    private Object platform;

    @ApiModelProperty(value = "事项说明", required = true)
    private String itemExplain;

    @ApiModelProperty(value = "关联的项目", required = true)
    private Object projectIds;

}
