package com.persagy.apm.energy.report.monthly.detail.business.service;

import com.persagy.apm.energy.report.monthly.detail.business.model.Platform;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;

import java.util.List;

/**
 * 接口说明
 *
 * @author lixing
 * @version V1.0 2021/5/31 10:25 上午
 **/
public interface IBusinessReportPlatformInfoService {
    /**
     * 获取报告平台运维信息
     *
     * @param reportOutline 报告概要
     * @return 平台运维信息点信息列表
     * @author lixing
     * @version V1.0 2021/5/30 10:47 下午
     */
    List<Platform> getPlatforms(ReportOutline reportOutline);
}
