package com.persagy.apm.energy.report.monthly.detail.business.service.impl;

import com.persagy.apm.energy.report.monthly.detail.business.service.IBusinessReportPowerInfoService;
import com.persagy.apm.energy.report.monthly.detail.common.service.impl.ReportPowerInfoServiceImpl;
import com.persagy.apm.energy.report.saasweb.service.ISaasWebService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商业类报告用电量service类
 *
 * @author lixing
 * @version V1.0 2021/5/30 7:30 下午
 **/
@Service
public class BusinessReportPowerInfoServiceImpl extends ReportPowerInfoServiceImpl
        implements IBusinessReportPowerInfoService {
    @Autowired
    private ISaasWebService saasWebService;

    @Override
    public Double getProjectBuildingArea(List<String> projectIds) {
        return saasWebService.getTotalCommercialArea(projectIds);
    }
}
