package com.persagy.apm.energy.report.monthly.detail.common.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "酒店公区用电量条目信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelPowerPublicConsumptionItem {
    @ApiModelProperty("条目名称")
    public String name;

    @ApiModelProperty("本月用电量")
    public Double currentMonth;

    @ApiModelProperty("去年同期用电量")
    public Double lastYearSameTime;

    @ApiModelProperty("同比涨幅")
    public Double range;
}
