package com.persagy.apm.energy.report.monthly.detail.hotel.area.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:08
 */
@Data
@ApiModel(value = "查询商业报告详情入参")
public class QueryReportHotelAreaDetailDTO {
    @ApiModelProperty(value = "平台运行信息", required = true)
    private Object platformRuntimeInfo;

    @ApiModelProperty(value = "平台运行描述", required = true)
    private String platformRuntimeDescription;

    @ApiModelProperty(value = "费用信息", required = true)
    private Object costInfo;

    @ApiModelProperty(value = "费用说明", required = true)
    private String costDescription;

    @ApiModelProperty(value = "用电量概述", required = true)
    private Object powerUsageOutline;

    @ApiModelProperty(value = "用电量说明", required = true)
    private String powerUsageDescription;

    @ApiModelProperty(value = "节能工单信息", required = true)
    private Object energyWorkOrderInfo;

    @ApiModelProperty(value = "节能工单说明", required = true)
    private String energyWorkOrderDescription;

    @ApiModelProperty(value = "报警处理信息", required = true)
    private Object alarmDealInfo;

    @ApiModelProperty(value = "遗留问题处理信息", required = true)
    private Object remainProblemsDealInfo;

}
