package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.dto;

import com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:58
 */
@Data
@ApiModel(value = "创建商业报告详情入参")
public class AddReportHotelProjectDetailDTO {
    @ApiModelProperty(value = "费用信息")
    private HotelProjectCostInfo costInfo;

    @ApiModelProperty(value = "用电量概述")
    private HotelProjectPowerConsumptionOutline powerUsageOutline;

    @ApiModelProperty(value = "公区用电量")
    private HotelProjectPublicPowerConsumption publicPowerUsage;

    @ApiModelProperty(value = "冷站效率")
    private HotelProjectChillerPlantEfficiency airConditionerEfficiency;

    @ApiModelProperty(value = "环境指标")
    private HotelProjectEnvKpi envInfo;

    @ApiModelProperty(value = "节能工单信息")
    private HotelProjectEnergyWorkerOrderInfo energyWorkOrderInfo;

    @ApiModelProperty(value = "平台运行信息")
    private HotelProjectMaintenanceInfo platformRuntimeInfo;

    @ApiModelProperty(value = "报警处理信息")
    private HotelProjectAlarmDealInfo alarmDealInfo;
}
