package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:59
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询商业报告详情入参")
public class PageQueryReportHotelProjectDetailDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "费用信息", required = true)
    private Object costInfo;

    @ApiModelProperty(value = "费用说明", required = true)
    private String costDescription;

    @ApiModelProperty(value = "用电量概述", required = true)
    private Object powerUsageOutline;

    @ApiModelProperty(value = "公区用电量", required = true)
    private Object publicAreaPowerUsage;

    @ApiModelProperty(value = "用电量说明", required = true)
    private String powerUsageDescription;

    @ApiModelProperty(value = "冷站效率", required = true)
    private Object airConditionerEfficiency;

    @ApiModelProperty(value = "冷站效率说明", required = true)
    private String airConditionerEfficiencyExplain;

    @ApiModelProperty(value = "环境信息", required = true)
    private Object envInfo;

    @ApiModelProperty(value = "环境说明", required = true)
    private String envDescription;

    @ApiModelProperty(value = "节能工单信息", required = true)
    private Object energyWorkOrderInfo;

    @ApiModelProperty(value = "节能工单说明", required = true)
    private String energyWorkOrderDescription;

    @ApiModelProperty(value = "平台运行信息", required = true)
    private Object platformRuntimeInfo;

    @ApiModelProperty(value = "平台运行描述", required = true)
    private String platformRuntimeDescription;

    @ApiModelProperty(value = "报警处理信息", required = true)
    private Object alarmDealInfo;

    @ApiModelProperty(value = "报警处理说明", required = true)
    private String alarmDealDescription;

}
