package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:58
 */
@Data
@ApiModel(value = "更新商业报告详情入参")
public class UpdateReportHotelProjectDetailDTO {
    @ApiModelProperty(value = "报告主键", required = true)
    @NotNull(message = "报告主键不能为空")
    private String reportOutlineId;

    @ApiModelProperty(value = "费用说明")
    private String costDescription;

    @ApiModelProperty(value = "用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty(value = "冷站效率说明")
    private String airConditionerEfficiencyExplain;

    @ApiModelProperty(value = "环境说明")
    private String envDescription;

    @ApiModelProperty(value = "节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty(value = "平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty(value = "报警处理说明")
    private String alarmDealDescription;
}
