package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目报警处理信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectAlarmDealInfo {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "报警总条数")
    private Integer totalCount;
    @ApiModelProperty(value = "处理条数")
    private Integer handledCount;
    @ApiModelProperty(value = "处理率")
    private Double handledPercent;
}
