package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphItemVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@Data
@ApiModel("酒店项目维护基础信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectMaintenanceBaseInfo {
    @ApiModelProperty(value = "项目名称")
    private String projectName;
    @ApiModelProperty(value = "变损率")
    private Double changeLossRate;
    @ApiModelProperty(value = "总支不平衡率")
    private Double imbalanceRate;
}
