package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-06-07 09:42:59
 */
@Data
@ApiModel(value = "商业报告详情列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportHotelProjectDetailListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("费用信息")
    private Object costInfo;

    @ApiModelProperty("费用说明")
    private String costDescription;

    @ApiModelProperty("用电量概述")
    private Object powerUsageOutline;

    @ApiModelProperty("公区用电量")
    private Object publicAreaPowerUsage;

    @ApiModelProperty("用电量说明")
    private String powerUsageDescription;

    @ApiModelProperty("冷站效率")
    private Object airConditionerEfficiency;

    @ApiModelProperty("冷站效率说明")
    private String airConditionerEfficiencyExplain;

    @ApiModelProperty("环境信息")
    private Object envInfo;

    @ApiModelProperty("环境说明")
    private String envDescription;

    @ApiModelProperty("节能工单信息")
    private Object energyWorkOrderInfo;

    @ApiModelProperty("节能工单说明")
    private String energyWorkOrderDescription;

    @ApiModelProperty("平台运行信息")
    private Object platformRuntimeInfo;

    @ApiModelProperty("平台运行描述")
    private String platformRuntimeDescription;

    @ApiModelProperty("报警处理信息")
    private Object alarmDealInfo;

    @ApiModelProperty("报警处理说明")
    private String alarmDealDescription;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

}
