package com.persagy.apm.energy.report.monthly.functionvalue.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:07:14
 */
@Data
@ApiModel(value = "创建能耗报告信息点取值入参")
public class AddFunctionValueDTO {
    @ApiModelProperty(value = "信息点id", required = true)
    @NotNull(message = "信息点id不能为空") // todo 更新校验规则
    private String functionId;

    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") // todo 更新校验规则
    private String projectId;

    @ApiModelProperty(value = "数据时间", required = true)
    @NotNull(message = "数据时间不能为空") // todo 更新校验规则
    private Date dataTime;

    @ApiModelProperty(value = "信息点的值", required = true)
    @NotNull(message = "信息点的值不能为空") // todo 更新校验规则
    private String value;

}
