package com.persagy.apm.energy.report.monthly.functionvalue.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:07:15
 */
@Data
@ApiModel(value = "批量删除能耗报告信息点取值入参")
public class BatchDeleteFunctionValueDTO {

    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("信息点id")
    private String functionId;

    @ApiModelProperty("数据时间列表")
    private List<Date> dataTimeList;

}
