package com.persagy.apm.energy.report.monthly.functionvalue.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:07:15
 */
@Data
@ApiModel(value = "查询能耗报告信息点取值入参")
public class QueryFunctionValueDTO {
    @ApiModelProperty(value = "信息点id", required = true)
    private String functionId;

    @ApiModelProperty(value = "项目id", required = true)
    private String projectId;

    @ApiModelProperty(value = "数据时间", required = true)
    private Date dataTime;

    @ApiModelProperty(value = "信息点的值", required = true)
    private String value;

    @ApiModelProperty(value = "信息点id列表", required = true)
    private List<String> functionIdList;

    @ApiModelProperty(value = "查询数据开始时间", required = true)
    private Date startTime;

    @ApiModelProperty(value = "查询数据结束时间", required = true)
    private Date endTime;
}
