package com.persagy.apm.energy.report.monthly.outline.model.dto;

import com.persagy.apm.energy.report.monthly.outline.model.ReportOutlineRemark;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "创建报告概要入参")
public class AddReportOutlineDTO {

    @ApiModelProperty(value = "报告日期", required = true)
    @NotNull(message = "报告日期不能为空")
    private Date reportMonth;

    @ApiModelProperty(value = "报告所属", required = true)
    @NotNull(message = "报告所属不能为空")
    private String belong;

    @ApiModelProperty(value = "报告类型id", required = true)
    @NotNull(message = "报告类型id不能为空")
    private String reportTypeId;

}
