package com.persagy.apm.energy.report.monthly.outline.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询报告概要入参")
public class PageQueryReportOutlineDTO extends PageDTO {

    @ApiModelProperty(value = "报告名称, 模糊搜索")
    private String name;

    @ApiModelProperty(value = "报告开始日期")
    private Date startDate;

    @ApiModelProperty(value = "报告结束日期")
    private Date endDate;

    @ApiModelProperty(value = "报告状态")
    private String status;

}
