package com.persagy.apm.energy.report.monthly.outline.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "查询用户可用报告所属入参")
public class QueryAvailableBelongsDTO {

    @ApiModelProperty(value = "业态", required = true)
    @NotEmpty(message = "业态不能为空")
    private String buildingType;
}
