package com.persagy.apm.energy.report.monthly.outline.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:09:38
 */
@Data
@ApiModel(value = "重新生成报告入参")
public class RecreateReportOutlineDTO {
    @NotEmpty(message = "报告id不能为空")
    @ApiModelProperty(value = "报告id", required = true)
    private String id;

}
