package com.persagy.apm.energy.report.saasweb.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/19 2:52 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryPartitionDTO extends PoemsFeignBaseDTO {
    @ApiModelProperty("管理分区id列表")
    private List<String> managePartitionIds;

    public QueryPartitionDTO() {
        super.setDefaultValue();
    }
}
