package com.persagy.apm.energy.report.saasweb.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021/5/19 2:52 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryProjectDTO extends PoemsFeignBaseDTO {
    @ApiModelProperty("项目功能类型")
    private String functionType;
    @ApiModelProperty("管理分区编码")
    private String groupManageZone;

    public QueryProjectDTO() {
        super.setDefaultValue();
    }
}
