package com.persagy.apm.energy.report.saasweb.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/5/19 2:57 下午
 **/
@ApiModel
@Data
public class PartitionProjectVO {
    @ApiModelProperty(value = "分区或者项目id")
    @JsonAlias("partition_project_id")
    private String id;
    @ApiModelProperty(value = "分区或者项目名称")
    @JsonAlias("partition_project_name")
    private String name;
    @ApiModelProperty(value = "类型：1-分区，0-项目")
    private String type;
    @ApiModelProperty(value = "父节点id")
    private String parentId;
    @ApiModelProperty(value = "子节点")
    private List<PartitionProjectVO> contents;
}
