package com.persagy.apm.energy.report.saasweb.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021/5/19 4:01 下午
 **/
@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class ReportProjectVO extends SimpleProjectVO{
    @ApiModelProperty(value = "商业面积")
    private String commercialArea;
    @ApiModelProperty(value = "地下车库面积")
    private String undergroundGarageArea;
    @ApiModelProperty(value = "总建筑面积")
    private String totalBuildingArea;
    @ApiModelProperty(value = "公区面积")
    private String publicArea;
}
