package com.persagy.apm.energy.report.saasweb.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/19 4:01 下午
 **/
@ApiModel
@Data
public class SimpleProjectVO {
    @ApiModelProperty(value = "项目id")
    private String projectId;
    @ApiModelProperty(value = "项目名称")
    @JsonAlias("projectLocalName")
    private String projectName;
    @ApiModelProperty(value = "项目功能类型")
    private String functionType;
    @ApiModelProperty(value = "项目本地编码")
    private String projectLocalID;
    @ApiModelProperty(value = "开业时间")
    private String businessOpeningTime;
    @ApiModelProperty(value = "气候区")
    private String climateZone;
}
