package com.persagy.apm.energy.report.workorder.model.dto;

import com.persagy.apm.common.model.dto.PoemsFeignBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class QueryWorkOrderListByParamDTO extends PoemsFeignBaseDTO {

    @ApiModelProperty("用户id")
    private String user_id;

    @ApiModelProperty("项目id")
    private String project_id;

    @ApiModelProperty("时间类型")
    private String timeType;

    @ApiModelProperty("开始时间")
    private String start_time;

    @ApiModelProperty("结束时间")
    private String end_time;

}
